Loading...
Searching...
No Matches
BALL::VIEW::LabelModel Class Reference
Visualisation » Model Processors

`#include <BALL/VIEW/MODELS/labelModel.h>`

Inheritance diagram for BALL::VIEW::LabelModel:

## Public Types

enum | Mode { ALL_ITEMS , ALL_ATOMS , ALL_RESIDUES , ONE_LABEL }
Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Public Member Functions

Constructors and Destructors
| LabelModel ()
| LabelModel (const LabelModel &model)
virtual | ~LabelModel ()
void | setFont (const QFont &font)
const QFont & | getFont () const
void | setColor (const ColorRGBA &color)
const ColorRGBA & | getColor () const
void | setMode (Mode mode)
Mode | getType () const
void | setText (const String &text)
const String & | getText () const
Public Member Functions inherited from BALL::VIEW::ModelProcessor
| ModelProcessor ()
| ModelProcessor (const ModelProcessor &model_processor)
virtual | ~ModelProcessor ()
virtual void | clear ()
| Clear all datastructures, but dont destroy the geometric objects.
virtual bool | isValid () const
virtual void | clearComposites ()
virtual void | dump (std::ostream &, Size) const
GeometricObjectList & | getGeometricObjects ()
| Return the list with the created geometric objects.
const GeometricObjectList & | getGeometricObjects () const
| Return the list with the created geometric objects.
void | setDrawingPrecision (Index precision)
Index | getDrawingPrecision () const
void | setSurfaceDrawingPrecision (float precision)
float | getSurfaceDrawingPrecision () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()
Public Member Functions inherited from BALL::PropertyManager
BALL_INLINE | PropertyManager ()
| Default constructor.
BALL_INLINE | PropertyManager (const PropertyManager &property_manager)
| Copy constructor.
virtual | ~PropertyManager ()
| Destructor.
virtual void | destroy ()
| Clears all properties.
void | set (const PropertyManager &property_manager)
const PropertyManager & | operator= (const PropertyManager &property_manager)
void | get (PropertyManager &property_manager) const
void | swap (PropertyManager &property_manager)
BitVector & | getBitVector ()
const BitVector & | getBitVector () const
| operator BitVector & ()
void | setProperty (Property property)
void | clearProperty (Property property)
void | toggleProperty (Property property)
Size | countProperties () const
const NamedProperty & | getNamedProperty (Position index) const
NamedProperty & | getNamedProperty (Position index)
void | setProperty (const NamedProperty &property)
void | setProperty (const std::string &name)
void | setProperty (const std::string &name, bool value)
void | setProperty (const std::string &name, int value)
void | setProperty (const std::string &name, unsigned int value)
void | setProperty (const std::string &name, float value)
void | setProperty (const std::string &name, double value)
void | setProperty (const std::string &name, const std::string &value)
void | setProperty (const std::string &name, const PersistentObject &value)
const NamedProperty & | getProperty (const std::string &name) const
NamedPropertyIterator | beginNamedProperty ()
NamedPropertyIterator | endNamedProperty ()
void | clearProperty (const std::string &name)
Size | countNamedProperties () const
bool | hasProperty (Property property) const
| Query for an unnamed property.
bool | hasProperty (const std::string &name) const
| Query for a named property.
bool | operator== (const PropertyManager &pm) const
bool | operator!= (const PropertyManager &pm) const
| Inequality operator.
void | write (PersistenceManager &pm) const
| Persistent stream writing.
bool | read (PersistenceManager &pm)
| Persistent stream reading.
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const

## Processor specific methods

QFont | font_
ColorRGBA | color_
Mode | mode_
String | text_
Size | nr_objects_
Vector3 | center_
GeometricCenterProcessor | center_processor_
virtual Processor::Result | operator() (Composite &composite)
virtual bool | createGeometricObjects ()

## Additional Inherited Members

Protected Attributes inherited from BALL::VIEW::ModelProcessor
GeometricObjectList | geometric_objects_
Index | drawing_precision_
float | surface_drawing_precision_

## Detailed Description

LabelModel class. The LabelModel is a model processor that is responsible for creating and updateing Labels. It supports special text tags, that allows for automaticaly created labels, see the documentation for the Label class.

See also
  Label

Definition at line 36 of file labelModel.h.

## Member Enumeration Documentation

## Mode

enum BALL::VIEW::LabelModel::Mode

Enumerator
ALL_ITEMS |
ALL_ATOMS |
ALL_RESIDUES |
ONE_LABEL |

Definition at line 43 of file labelModel.h.

## Constructor & Destructor Documentation

## LabelModel() [1/2]

BALL::VIEW::LabelModel::LabelModel | ( |  | ) |

Default Constructor.

## LabelModel() [2/2]

BALL::VIEW::LabelModel::LabelModel | ( | const LabelModel & | model | ) |

Copy constructor.

## ~LabelModel()

virtual BALL::VIEW::LabelModel::~LabelModel | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## createGeometricObjects()

virtual bool BALL::VIEW::LabelModel::createGeometricObjects | ( |  | ) |

virtual

Method to create geometric objects. This method is called in Representation::update() after all operator() was called for all Composites. To be overloaded in derived classes

Reimplemented from BALL::VIEW::ModelProcessor.

## getColor()

const ColorRGBA & BALL::VIEW::LabelModel::getColor | ( |  | ) | const

inline

Definition at line 82 of file labelModel.h.

## getFont()

const QFont & BALL::VIEW::LabelModel::getFont | ( |  | ) | const

inline

Definition at line 76 of file labelModel.h.

## getText()

const String & BALL::VIEW::LabelModel::getText | ( |  | ) | const

inline

Definition at line 94 of file labelModel.h.

## getType()

Mode BALL::VIEW::LabelModel::getType | ( |  | ) | const

inline

Definition at line 88 of file labelModel.h.

## operator()()

virtual Processor::Result BALL::VIEW::LabelModel::operator() | ( | Composite & | composite | ) |

virtual

Operator method.

Reimplemented from BALL::UnaryProcessor< Composite >.

## setColor()

void BALL::VIEW::LabelModel::setColor | ( | const ColorRGBA & | color | ) |

inline

Definition at line 79 of file labelModel.h.

## setFont()

void BALL::VIEW::LabelModel::setFont | ( | const QFont & | font | ) |

inline

Definition at line 73 of file labelModel.h.

## setMode()

void BALL::VIEW::LabelModel::setMode | ( | Mode | mode | ) |

inline

Definition at line 85 of file labelModel.h.

## setText()

void BALL::VIEW::LabelModel::setText | ( | const String & | text | ) |

inline

Definition at line 91 of file labelModel.h.

## Member Data Documentation

## center_

Vector3 BALL::VIEW::LabelModel::center_

protected

Definition at line 117 of file labelModel.h.

## center_processor_

GeometricCenterProcessor BALL::VIEW::LabelModel::center_processor_

protected

Definition at line 118 of file labelModel.h.

## color_

ColorRGBA BALL::VIEW::LabelModel::color_

protected

Definition at line 113 of file labelModel.h.

## font_

QFont BALL::VIEW::LabelModel::font_

protected

Definition at line 112 of file labelModel.h.

## mode_

Mode BALL::VIEW::LabelModel::mode_

protected

Definition at line 114 of file labelModel.h.

## nr_objects_

Size BALL::VIEW::LabelModel::nr_objects_

protected

Definition at line 116 of file labelModel.h.

## text_

String BALL::VIEW::LabelModel::text_

protected

Definition at line 115 of file labelModel.h.